﻿$ErrorActionPreference = 'Stop';

$unzip_folder = $env:ProgramFiles
$install_folder = "$unzip_folder\telegraf"
$packageName= 'telegraf'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://dl.influxdata.com/telegraf/releases/telegraf-1.1.2_windows_amd64.zip'
$fileLocation = Join-Path $install_folder 'telegraf.exe'

If (Get-Service -Name "telegraf" -ErrorAction SilentlyContinue) {
    & $fileLocation --service uninstall
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $unzip_folder
  fileType      = 'EXE'
  url64bit      = $url64
  file         = $fileLocation

  softwareName  = 'telegraf*'

  checksum64    = '1449E5FEB38966D51E3EEEC90AE51AF6510E5C744355EA577E8044CFF8FBFE38'
  checksumType64= 'sha256'

  silentArgs    = "--service install"
  validExitCodes= @(0)
}

Install-ChocolateyZipPackage @packageArgs
Install-ChocolateyInstallPackage @packageArgs
